import { NgbDateNativeAdapter, NgbDateParserFormatter, NgbDateStruct } from "@ng-bootstrap/ng-bootstrap";
export declare class DateAdapter extends NgbDateNativeAdapter {
    fromModel(date: any): {
        year: any;
        month: any;
        day: any;
    };
}
export declare class EsDateFormat extends NgbDateParserFormatter {
    parse(value: string): {
        day: number;
        month: number;
        year: number;
    };
    format(date: NgbDateStruct): string;
}
export declare const I18N_VALUES: {
    es: {
        weekdays: string[];
        months: string[];
        dayNames: string[];
        monthNames: string[];
    };
};
